version: '3.1'

services:

  my_mongo:
    image: my-mongo
    restart: always
    ports:
      - 127.0.0.1:27017:27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: ${DB_ADM_USER}
      MONGO_INITDB_ROOT_PASSWORD: ${DB_ADM_PASS}
    volumes:
      - ${HOME}/valency_data/mongo_container/data/:/data/db
      - ./:/scripts

  my_postgres:
    image: postgres
    restart: always
    ports:
      - 127.0.0.1:5432:5432
    environment:
      POSTGRES_USER: ${DB_ADM_USER}
      POSTGRES_PASSWORD: ${DB_ADM_PASS}
    volumes:
      - ${HOME}/valency_data/postgres_container/data/:/var/lib/postgresql/data
      - ./:/scripts
